Reserve Bench

Authentication: All endpoints require an Authorization: Bearer <access token> header.

Most endpoints require an X-Company-ID: <company_id> header to scope requests to a specific company. This is the recommended header for most API operations.

Some endpoints require an X-Location-ID: <location_id> header when the query doesn't accept a locationId parameter.

See Authentication for details on how to obtain and use these headers.

Note: This is a legacy endpoint. For new integrations, please use the Add Draft Employee mutation instead.

Add Applicant to Reserve Bench

REST API Request

POST https://staging.roubler.net/api/applicants
Content-Type: application/json
Authorization: Bearer <access_token>
X-Company-ID: <company_id>

Request Body:

{
  "application": {
    "firstName": "Jamie",
    "lastName": "Applicant",
    "emailAddress": "jamie.applicant@example.com",
    "position": "Full Stack Developer",
    "assignedUser": "Craig Bussell",
    "location": "Integration Sandbox",
    "employmentStatus": "Full Time"
  }
}

Example Response

{
  "api": "RoublerAPI v5.0.0",
  "time": "2024-06-05T03:33:22+00:00",
  "data": {
    "id": {
      "id": "94"
    }
  }
}